## ku-mono 2.11.4-ku0-0

=== Makefile ===
# based on KU packages template 1.3 (2012/10)

VERSION	= 2.11.4


# default, preprocess control files
#
controls:
	ku/install.sh make_controls

build:

install: build
	DESTDIR=$(DESTDIR) ku/install.sh

clean:
	rm -rf $(DESTDIR)

doc:

mrproper: clean clean_controls

clean_controls:
	for file in `ls debian.in 2>/dev/null`; do rm -f debian/$$file; done
	for file in `ls fedora.in 2>/dev/null`; do rm -f fedora/$$file; done

=== debian/changelog ===
ku-mono (2.11.4-ku0-0) unstable; urgency=low

  * inital release

 -- Allblue SA, KUBiC Labs (CH) <packager@kubiclabs.com>  Tue, 05 Aug 2014 16:07:12 +0200

=== debian/control ===
Source: ku-mono
Section: klabs
Priority: optional
Maintainer: Allblue SA, KUBiC Labs (CH) <packager@kubiclabs.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Homepage: http://www.kubiclabs.com/

Package: ku-mono
Architecture: any
Depends: 
Description: Mono v.2
 Mono v.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


SRCDIR	= mono-2.11.4



configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cd $(SRCDIR) && ./configure --prefix=/usr

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C $(SRCDIR)
	#docbook-to-man debian/ku-mono.sgml > ku-mono.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ -f $(SRCDIR)/Makefile ] && $(MAKE) -C $(SRCDIR) clean || :

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/ku-mono
	$(MAKE) -C $(SRCDIR) DESTDIR=$(CURDIR)/debian/ku-mono install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
